## org.jfree.chart.labels
Interface PieSectionLabelGenerator

All Known Implementing Classes:
  StandardPieItemLabelGenerator

public interface PieSectionLabelGenerator

Interface for a label generator for plots that use data from a `PieDataset`.

Method Summary
`java.lang.String` `generateSectionLabel(PieDataset dataset, java.lang.Comparable key)` Generates a label for a pie section.

Method Detail

### generateSectionLabel

    public java.lang.String generateSectionLabel(PieDataset dataset,
                                                 java.lang.Comparable key)

  Generates a label for a pie section.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `key` - the section key (`null` not permitted).
  Returns:
    The label (possibly `null`).